<?php require_once('Connections/cn.php'); ?>
<?php

//***********************************************************************************
// Script: validar_fin_carga_acad.php.
// Descripción: Determina si un participante aprobó todos los créditos de un programa
//              con el fin de emitirle su Constancia de Culminación de Carga.
// Llamado desde: menu_constancia.php
// Parámetros que recibe: id_carrera y cédula del participante.
//***********************************************************************************

// Datos que vienen de menu_constancia.php
$id_carrera=$_GET['id_carrera'];
$cedula=$_GET['id_alumno'];

$sql = "SELECT id_alumno FROM alumnos WHERE cedula='$cedula'";
$rs = mysql_query($sql, $cn);
$row = mysql_fetch_assoc($rs);
$id_alumno=$row['id_alumno'];

$queryCulmina = "Select
sum(materias.uc) as aprobados
From
historico_notas
Inner Join materias ON historico_notas.id_materia = materias.id_materia
where historico_notas.id_alumno='$id_alumno' and historico_notas.id_carrera='$id_carrera' and (historico_notas.nota>=3 or historico_notas.aprobacion='EQUIVALENCIA')";
$rstCulmina = mysql_query($queryCulmina, $cn) or die(mysql_error());
$rowCulmina = mysql_fetch_assoc($rstCulmina);
$creditos_aprobados=$rowCulmina['aprobados'];

$queryCarrera = "Select num_materias,creditos_grado,nombre_carrera from carreras where id_carrera='$id_carrera'";
$rstCarrera = mysql_query($queryCarrera, $cn) or die(mysql_error());
$rowCarrera = mysql_fetch_assoc($rstCarrera);
$creditos_programa=$rowCarrera['creditos_grado'];
$num_materias=$rowCarreras['num_materias'];
$nombre_carrera=$rowCarrera['nombre_carrera'];

if($creditos_aprobados<$creditos_programa){
	 ?>
	 <script type="text/javascript">
	    msj="Participante NO ha aprobado la Carga Académica Completa del programa <<<?php echo $nombre_carrera ?>>>"
	 	alert(msj);
	 </script>
	 <?php
  }
  else {
     ?>
	 <script type="text/javascript">
	    alert("entro");
	    url="./modelo/class_pdf/culminacion_carga.php?id_alumno="+<?php echo $id_alumno ?>+"&id_carrera="+<?php echo $id_carrera ?>;
		alert(url);
		window.open(url);
	 </script>
	 <?php  
  }
?>